<?php
/***
***公共模型內容驗證控制器CommonContentAction
***
***/
class CommonContentAction extends Action {
	
	//_initialize自動運行方法，在每個方法前，系統會首先運動這個方法
	public function _initialize() {

		if (!isset($_SESSION[C('USER_AUTH_KEY')])) {
			$this->redirect(GROUP_NAME . '/Login/index');
		}

		$adminFlag = isset($_SESSION[C('ADMIN_AUTH_KEY')]) ? $_SESSION[C('ADMIN_AUTH_KEY')] : 0;
		$adminRole = $_SESSION['yang_adm_roleid'];

		if (!$adminFlag) {
			$pid = I('pid', 0, 'intval');	
			if (empty($pid)) {
				$pid = I('get.pid', 0, 'intval');
			}	
							
			check_category_access($pid, ACTION_NAME, $adminRole) || $this->error('沒有權限');			

		}

	}
}


?>